Bug 69790 - X.org doesn't work on SiS chips - drmSiSAgpInit is unresolved
Summary: X.org doesn't work on SiS chips - drmSiSAgpInit is unresolved
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-30 08:50 UTC by Andreas Kohn
Modified: 2004-08-31 01:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Kohn 2004-07-30 08:50:26 UTC
X.Org (and XFree86 > 4.3) won't run with SiS chips, I get 
Required symbol drmSiSAgpInit from module
/usr/X11R6/lib/modules/drivers/sis_drv.o is unresolved!

Fix: Move some #ifndef __FreeBSD__ in xc/programs/Xserver/hw/xfree86/os-support/bsd/drm/xf86drmCompat.c:



+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmCompat.c	Thu Jul 29 18:19:13 2004

@@ -77,8 +77,8 @@

 #include "mga_drm.h"

 #include "r128_drm.h"

 #include "radeon_drm.h"

-#ifndef __FreeBSD__

 #include "sis_drm.h"

+#ifndef __FreeBSD__

 #include "i810_drm.h"

 #include "i830_drm.h"

 #endif

@@ -1012,7 +1012,6 @@

    }

 }

 

-#ifndef __FreeBSD__

 /* SiS */

 

 Bool drmSiSAgpInit(int driSubFD, int offset, int size)

@@ -1026,6 +1025,8 @@

    return 1; /* TRUE */

 }

 

+#ifndef __FreeBSD__

+

 /* I830 */

 

 Bool drmI830CleanupDma(int driSubFD)


---
With this change, DRM and XV don't work, but X starts at least. glxgears shows only a black window.--PB1Y285m3R9h88A01uGdqQl3tzidFM7DAToMre3PHhLwhRpf
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- /tmp/xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmCompat.c	Thu Mar  4 18:48:10 2004
How-To-Repeat: Set Driver to "sis", start X.
Comment 1 Pav Lucistnik freebsd_committer 2004-07-30 20:54:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->x11

Looks like investigative job for anholt and co.
Comment 2 Eric Anholt 2004-08-22 05:04:06 UTC
This has been fixed upstream by the SiS driver author not using the
compat functions, which shouldn't have been used since XFree86 4.3, 
after I reminded him.  Given that X.Org should be releasing in about 4
days, I've been ignoring this PR until then.

-- 
Eric Anholt                                eta@lclark.edu          
http://people.freebsd.org/~anholt/         anholt@FreeBSD.org
Comment 3 lesi freebsd_committer 2004-08-31 01:37:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!